diff --git a/gcc/config/i386/i386-c.c b/gcc/config/i386/i386-c.c
index c9977bf..37bc5d2 100644
--- a/gcc/config/i386/i386-c.c
+++ b/gcc/config/i386/i386-c.c
@@ -49,10 +49,10 @@ ix86_target_macros_internal (HOST_WIDE_INT isa_flag,
 {
   /* For some of the k6/pentium varients there weren't separate ISA bits to
      identify which tune/arch flag was passed, so figure it out here.  */
-  size_t arch_len = strlen (ix86_arch_string);
-  size_t tune_len = strlen (ix86_tune_string);
-  int last_arch_char = ix86_arch_string[arch_len - 1];
-  int last_tune_char = ix86_tune_string[tune_len - 1];
+  size_t arch_len = strlen (GCC_OPTION (ix86_arch_string));
+  size_t tune_len = strlen (GCC_OPTION (ix86_tune_string));
+  int last_arch_char = GCC_OPTION (ix86_arch_string)[arch_len - 1];
+  int last_tune_char = GCC_OPTION (ix86_tune_string)[tune_len - 1];
 
   /* Built-ins based on -march=.  */
   switch (arch)
@@ -285,7 +285,7 @@ ix86_target_macros_internal (HOST_WIDE_INT isa_flag,
       break;
     }
 
-  switch (ix86_cmodel)
+  switch (GCC_OPTION (ix86_cmodel))
     {
     case CM_SMALL:
     case CM_SMALL_PIC:
@@ -521,10 +521,10 @@ ix86_target_macros (void)
   cpp_define_formatted (parse_in, "__ATOMIC_HLE_ACQUIRE=%d", IX86_HLE_ACQUIRE);
   cpp_define_formatted (parse_in, "__ATOMIC_HLE_RELEASE=%d", IX86_HLE_RELEASE);
 
-  ix86_target_macros_internal (ix86_isa_flags,
+  ix86_target_macros_internal (GCC_OPTION (ix86_isa_flags),
 			       ix86_arch,
 			       ix86_tune,
-			       ix86_fpmath,
+			       GCC_OPTION (ix86_fpmath),
 			       cpp_define);
 }
 
diff --git a/gcc/config/i386/i386-interix.h b/gcc/config/i386/i386-interix.h
index 59bbb50..0b80d7e 100644
--- a/gcc/config/i386/i386-interix.h
+++ b/gcc/config/i386/i386-interix.h
@@ -211,7 +211,7 @@ extern void i386_pe_unique_section (tree, int);
 #define ASM_DECLARE_FUNCTION_NAME(FILE, NAME, DECL)			\
   do									\
     {									\
-      if (write_symbols != SDB_DEBUG)					\
+      if (GCC_OPTION (write_symbols) != SDB_DEBUG)					\
        i386_pe_declare_function_type (FILE, NAME, TREE_PUBLIC (DECL));	\
       ASM_OUTPUT_LABEL (FILE, NAME);       				\
     }									\
